Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85176 - PHP_SELF & PATH_INFO does not work.
Summary: PHP_SELF & PATH_INFO does not work.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-26 05:19 UTC by Emmanuel Galanos
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-07 13:21:28 UTC


Attachments (Terms of Use)

Description Emmanuel Galanos 2003-02-26 05:19:30 UTC
Description of problem:
The way that Red Hat has configured PHP with Apache 2.0 means that URL's
like: 

  http://www.example.com/foobar.php/make_up_stuff_here

do not work like they did in Apache 1.3. A 404 error is returned instead.

How reproducible:
100 %

Steps to Reproduce:
1. Do get request like given
2. Compare to RH 7.3
    
Actual results:
404

Expected results:
PHP to run and get given extra info.

Additional info:
This can be fixed by modifying the php.conf file and adding:

AcceptPathInfo on

in the files section. Not sure if this is the proper fix versus PHP being
patched to tell Apache to turn on path info when it is used as a filter.

Comment 1 Joe Orton 2003-04-07 13:21:28 UTC
That's correct; this is covered explicitly in the migration guide included in
/usr/share/doc/httpd-2.0.40/migration.html.


Note You need to log in before you can comment on or make changes to this bug.